Package org.jfree.layouting.input.xhtml

## Class XhtmlInputDriver

- java.lang.Object
- - org.jfree.layouting.input.xhtml.XhtmlInputDriver

-     public class XhtmlInputDriver
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAMESPACE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XhtmlInputDriver​(InputFeed feed)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] args)` |
    `void` | `processDomTree​(org.w3c.dom.Document doc)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACE

          public static final java.lang.String NAMESPACE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XhtmlInputDriver

          public XhtmlInputDriver​(InputFeed feed)

  - ### Method Detail

    - #### processDomTree

          public void processDomTree​(org.w3c.dom.Document doc)
                              throws InputFeedException

      Throws:
        `InputFeedException`

    - #### main

          public static void main​(java.lang.String[] args)
                           throws java.io.IOException,
                                  NormalizationException

      Throws:
        `java.io.IOException`
        `NormalizationException`